
package com.ydl.ydlcommon.base.delegate

import android.app.Application
import android.content.Context

/**
 * Created by haorui on 2019-08-22 .
 * Des: Application 生命周期代理接口
 */
interface IAppLifecycles {
    fun attachBaseContext(base: Context)

    fun onCreate(application: Application)

    fun onTerminate(application: Application)
}
